org.richfaces.renderkit

## Class AbstractPageRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.AbstractPageRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    PageRenderer

      public abstract class AbstractPageRenderer
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

  Author:
    asmirnov

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPageRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.richfaces.skin.Theme` | `getTheme(javax.faces.context.FacesContext context, UIPage page)`
    `boolean` | `hasFacet(javax.faces.component.UIComponent component, java.lang.String facet)`
    `void` | `pageStyle(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String` | `prolog(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `themeScript(javax.faces.context.FacesContext context, UIPage component)`
    `void` | `themeStyle(javax.faces.context.FacesContext context, UIPage component)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractPageRenderer

          public AbstractPageRenderer()

  - ### Method Detail

    - #### prolog

          public java.lang.String prolog(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getTheme

          public org.richfaces.skin.Theme getTheme(javax.faces.context.FacesContext context,
                                          UIPage page)

    - #### themeStyle

          public void themeStyle(javax.faces.context.FacesContext context,
                        UIPage component)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### themeScript

          public void themeScript(javax.faces.context.FacesContext context,
                         UIPage component)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### pageStyle

          public void pageStyle(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### hasFacet

          public boolean hasFacet(javax.faces.component.UIComponent component,
                         java.lang.String facet)

Copyright © 2013. All Rights Reserved.